Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.table.swt
Class TableControlSWTRenderer

    java.lang.Object
      org.eclipse.emf.ecp.view.model.common.AbstractRenderer<VELEMENT>
          org.eclipse.emfforms.spi.swt.core.AbstractSWTRenderer<VCONTROL>
              org.eclipse.emf.ecp.view.spi.core.swt.AbstractControlSWTRenderer<VTableControl>
                  org.eclipse.emf.ecp.view.spi.table.swt.TableControlSWTRenderer

Direct Known Subclasses:
  TableControlDetailDialogSWTRenderer, TableControlDetailPanelRenderer

    public class TableControlSWTRenderer

extends AbstractControlSWTRenderer<VTableControl>

SWT Renderer for Table Control.

Author:
  Eugen Neufeld

Nested Class Summary
`class` | `TableControlSWTRenderer.ECPCellLabelProvider` ECP specficic cell label provider that does also implement `IColorProvider` in order to correctly.

Constructor Summary
`TableControlSWTRenderer(VTableControl vElement, ViewModelContext viewContext, ReportService reportService, EMFFormsDatabinding emfFormsDatabinding, EMFFormsLabelProvider emfFormsLabelProvider, VTViewTemplateProvider vtViewTemplateProvider, ImageRegistryService imageRegistryService, EMFFormsEditSupport emfFormsEditSupport)` Default constructor.

Method Summary
`SWTGridDescription` | `getGridDescription(SWTGridDescription gridDescription)` Returns the GridDescription for this Renderer.

Methods inherited from class org.eclipse.emfforms.spi.swt.core.AbstractSWTRenderer
`finalizeRendering, init, render`

Methods inherited from class org.eclipse.emf.ecp.view.model.common.AbstractRenderer
`getVElement, getViewModelContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableControlSWTRenderer

    @Inject
    public TableControlSWTRenderer(VTableControl vElement,
                                          ViewModelContext viewContext,
                                          ReportService reportService,
                                          EMFFormsDatabinding emfFormsDatabinding,
                                          EMFFormsLabelProvider emfFormsLabelProvider,
                                          VTViewTemplateProvider vtViewTemplateProvider,
                                          ImageRegistryService imageRegistryService,
                                          EMFFormsEditSupport emfFormsEditSupport)

  Default constructor.

  Parameters:
    `vElement` - the view model element to be rendered
    `viewContext` - the view context
    `emfFormsDatabinding` - The `EMFFormsDatabinding`
    `emfFormsLabelProvider` - The `EMFFormsLabelProvider`
    `reportService` - The `ReportService`
    `vtViewTemplateProvider` - The `VTViewTemplateProvider`
    `imageRegistryService` - The `ImageRegistryService`
    `emfFormsEditSupport` - The `EMFFormsEditSupport`
  Since:
    1.6

Method Detail

### getGridDescription

    public SWTGridDescription getGridDescription(SWTGridDescription gridDescription)

  Returns the GridDescription for this Renderer.

  Specified by:
    `getGridDescription` in class `AbstractSWTRenderer<VTableControl>`
  Parameters:
    `gridDescription` - the current `SWTGridDescription`
  Returns:
    the number of controls per row
  See Also:
    `AbstractSWTRenderer.getGridDescription(SWTGridDescription)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.